# ifndef MISSILE_MANAGER_H
# define MISSILE_MANAGER_H

# include "Missile.h"
# include "TgaTexture.h"


class MissileManager
{	
	TgaTexture		missileImage;
	Missile*		head;
	int				activeMissiles;

	void Destroy();
	Missile* Remove(Missile* missile);

public:

	MissileManager();
	~MissileManager();

	void Init();

	void Add(float x, float y, float theta);
	void Draw();
	void Update(float deltaTime);
};
# endif //MISSILE_MANAGER_H