# ifndef ASTEROID_H
# define ASTEROID_H

class Asteroid
{
	float x, y, dx, dy;
	float theta;
	int color;
	float size;

	void Reset();

public:
	int id;

	Asteroid* back;
	Asteroid* next;

	Asteroid();

	bool Clone();

	bool Update(float deltaTime);
	void Draw();
	bool CheckCollision(float x1, float y1, float size1);
};
# endif //ASTEROID_H