# ifndef ASTEROID_MANAGER_H
# define ASTEROID_MANAGER_H

# include "Asteroid.h"
# include "TgaTexture.h"


class AsteroidManager
{
	static const int MaxAsteroids = 25;

	TgaTexture	asteroidImage;
	Asteroid*	head;

public:

	AsteroidManager();
	~AsteroidManager();

	void Destroy();
	void Update(float deltaTime);
	void Draw();
	void Init();

	bool CheckCollision(float x, float y, float size, bool destroy);

	Asteroid* Remove(Asteroid* asteroid);
};
# endif //ASTEROID_MANAGER_H