# ifndef SPACE_SHIP_H
# define SPACE_SHIP_H


# include "AlienGun.h"
# include "SmokeEffect.h"

class SpaceShip
{
	float x, y, dx, dy;
	int   color;

	void Reset();

	SmokeEffect smoke;
	AlienGun	gun;

	float		timeLeft;
public:

	SpaceShip();

	void Init();

	void Draw();
	void Update(float deltaTime, float x1, float y1);

	bool CheckCollision(float x, float y, float size);
};
# endif //SPACE_SHIP_H