# ifndef TGA_TEXTURE_H
# define TGA_TEXTURE_H

# include <stdio.h>
# include <stdlib.h>
# include <GL/glut.h>


class TgaTexture
{
    GLuint m_TextureHandle;
    unsigned char *m_pPixelBuffer;

    GLenum m_iBpp;  //bytes per pixel

public:
    int Width;
    int Height;

    TgaTexture();
    ~TgaTexture();

    bool Init(const char *fileName);
    void Activate();
    void Destroy();
	static void DrawQuad(float x, float y, float size);
};

# endif //TGA_TEXTURE_H