# ifndef MISSILE_H
# define MISSILE_H

# include "SpaceShip.h"
# include "AsteroidManager.h"

class Missile
{
	float x, y;
	float dx, dy;

	
public:
	Missile* next; 
	Missile* back;

	Missile();
	Missile(float x1, float y1, float theta);

	void Draw();
	bool Update(float deltaTime, AsteroidManager* asteroidManager, SpaceShip* ship);
};
# endif //MISSILE_H