# ifndef SMOKE_EFFECT_H
# define SMOKE_EFFECT_H

# include "TgaTexture.h"


class SmokeEffect
{
	TgaTexture smoke;

	float x, y;
	float time;
	int color;

	bool active;

public:

	SmokeEffect();

	void Init();

	void Activate(float x1, float y1, int color);

	bool Update(float deltaTime);

	void Draw();
};

# endif SMOKE_EFFECT_H