# ifndef ALIEN_GUN_H
# define ALIEN_GUN_H

# include <vector>

# include "Bullet.h"
# include "TgaTexture.h"


class AlienGun
{
	TgaTexture bulletImage;

	std::vector<Bullet> bullets;

	bool shootMode;

public:

	AlienGun();

	void Add(float x1, float y1, float x2, float y2);

	void Init();
	void Reset();
	void Update(float deltaTime);
	bool CheckCollision(float x, float y, float size);
	void Draw();
	void SetShooting(bool mode);
};

# endif //ALIEN_GUN_H