# ifndef MISSILE_MANAGER_H
# define MISSILE_MANAGER_H

# include "Missile.h"
# include "SpaceShip.h"
# include "TgaTexture.h"

class MissileManager
{	
	TgaTexture		missileImage;
	Missile*		head;
	int				activeMissiles;
	int				score;

	Missile* Remove(Missile* missile);

public:

	MissileManager();
	~MissileManager();

	void Init();
	void Destroy();
	void Reset();

	void Add(float x, float y, float theta);
	void Draw();
	void Update(float deltaTime, AsteroidManager* asteroidManager, SpaceShip* ship);
};
# endif //MISSILE_MANAGER_H