# ifndef GUI_H
# define GUI_H

# include "Utils.h"
# include "TgaTexture.h"


class GUI
{
	float x, y, sizeX, sizeY;
	TgaTexture image;

	bool active;

	EventHandler onClick;

public:

	GUI();

	void Activate();

	void Init(float x1, float y1, float sizeX1, float sizeY1, EventHandler function);

	void HandleMouseClick(float x1, float y1);

	void HandleMouseMove(float x1, float y1);

	void Draw();
};
# endif //GUI_H